Description

For a host with OS with iPXE template but no PXELinux template, we still attempt to render PXELinux template which leads to

"Failed to generate PXELinux template: undefined method `encoding' for nil:NilClass" orchestration error.

We should give nicer error instead.

Related issues:

Related to Foreman - Bug #612: Host#configTemplate does not work as expected Closed 01/25/2011

Related to Foreman - Feature #1294: Build should not require TFTP if using gPXE Closed 11/03/2011

Associated revisions

Revision c7bb92a9 - 04/12/2016 08:39 AM - Lukas Zapletal

Fixes #14521 - better error on missing PXELinux template

History

#1 - 04/07/2016 06:10 AM - Lukas Zapletal

We already have a check but that does not trigger when there is an iPXE template associated, that is the case:

    if host.provisioning_template({:kind => host.operatingsystem.template_kind}).nil? && host.provisioning_tem

plate({:kind => "iPXE"}).nil?

      failure _("No %{template_kind} templates were found for this host, make sure you define at least one in 

your %{os} settings") %

                { :template_kind => host.operatingsystem.template_kind, :os => host.operatingsystem }

    end

#2 - 04/07/2016 06:11 AM - Lukas Zapletal

- Related to Bug #612: Host#configTemplate does not work as expected added

#3 - 04/07/2016 06:11 AM - Lukas Zapletal

- Related to Feature #1294: Build should not require TFTP if using gPXE added

#4 - 04/07/2016 06:12 AM - Lukas Zapletal

- Subject changed from Queue TFTP orchestration only when there is PXELinux associated to TFTP orchestration fails for OS with iPXE w/o

PXELinux associated

#5 - 04/07/2016 08:19 AM - Lukas Zapletal

- Description updated

#6 - 04/07/2016 08:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3402 added
#7 - 04/12/2016 09:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c7bb92a96c0ce8f8a9f6a3c4f2ce0bf95a73f459.

#8 - 04/12/2016 09:06 AM - Dominic Cleal

- translation missing: en.field_release set to 136
